Bug 1166167 - Set token_duration to 6 hours instead of one hour
Summary: Set token_duration to 6 hours instead of one hour
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-20 13:47 UTC by Bryan Kearney
Modified: 2017-02-23 20:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:19:42 UTC


Attachments (Terms of Use)
token duration set to 360 (32.61 KB, image/png)
2015-02-13 12:36 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7994 None None None 2016-04-22 15:01:42 UTC

Description Bryan Kearney 2014-11-20 13:47:24 UTC
During OpenStack provisioning on Dell hardware, it was reported that installation took longer than one hour. It was perhaps a remote site with slower connection, I haven't investigated.

I think new default value which is still sane could be six hours which "ought to be enough for everybody". Since this is not big deal (tokens are UUID, safe enough) I propose to set this as in Subject.

Discuss.

Comment 1 Bryan Kearney 2014-11-20 13:47:25 UTC
Created from redmine issue http://projects.theforeman.org/issues/7994

Comment 2 Bryan Kearney 2014-11-20 13:47:38 UTC
I am pulling down important features from the 1.7 release. You can read more abotu this feature at 

http://theforeman.org/manuals/1.7/index.html#Releasenotesfor1.7

I believe that QE will be done by the community on this feature.

Comment 3 Bryan Kearney 2014-11-20 13:52:14 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7994 has been closed
-------------
Lukas Zapletal
Applied in changeset commit:c0262662d355cef3c4bc5371fe224f3f4f7d3dd3.

Comment 7 Sachin Ghai 2015-02-13 12:34:20 UTC
Verified with:
Satellite-6.1.0-RHEL-6-20150210.0
Sat6.1.0 beta snap2

token_duration is set to 360 ( time in minutes) which is equal to 6 hours.

Comment 8 Sachin Ghai 2015-02-13 12:36:00 UTC
Created attachment 991361 [details]
token duration set to 360

Comment 9 Bryan Kearney 2015-08-11 13:32:10 UTC
This bug is slated to be released with Satellite 6.1.

Comment 10 errata-xmlrpc 2015-08-12 05:19:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.